<?php

declare(strict_types=1);

/*
 * This file is part of the VITICORE2 package.
 *
 * (c) CP Creation <web@cpcreation.fr>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace CpCreation\VitiCore\Commerce\Catalog\Model;

enum CatalogConfigurationStatus: string
{
    case DISABLED = 'disabled';
    case PENDING_AUTHORIZATION = 'pending_authorization';
    case PENDING_ENROLLMENT = 'pending_enrollment';
    case ENROLLED = 'enrolled';
    case ERROR = 'error';
}
